<?php

/**
 * @file
 * A demo API user.
 */

use Drupal\user\Entity\User;

$entity_type_manager = \Drupal::entityTypeManager();
$user_storage = $entity_type_manager->getStorage('user');

$graphql_api_user = $user_storage->loadByProperties(['name' => 'GraphQL API']);

if ($graphql_api_user) {
  return;
}

$graphql_api_user = User::create([
  'name' => 'GraphQL API',
  'status' => 1,
  'roles' => [
    'authenticated',
    'api',
  ],
]);

$key_auth = \Drupal::service('key_auth');
$key = $key_auth->generateKey();

$graphql_api_user->set('api_key', $key);
$graphql_api_user->save();
