<?php

/**
 * @file
 * A demo homepage entity.
 */

use Drupal\node\Entity\Node;
use Drupal\paragraphs\Entity\Paragraph;

$node = Node::create([
  'type' => 'basic_page',
  'title' => 'Homepage',
  'status' => 1,
  'uid' => 1,
]);
$node->save();

$layout_twocol = Paragraph::create([
  'type' => 'layout',
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'layout' => 'two_column',
      'config' => [
        'label' => '',
      ],
      'parent_uuid' => NULL,
      'region' => NULL,
    ],
  ]),
]);
$layout_twocol->save();

$left_title = Paragraph::create([
  'type' => 'title',
  'field_title' => 'Title',
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'parent_uuid' => $layout_twocol->uuid(),
      'region' => 'first',
    ],
  ]),
]);
$left_title->addTranslation('nl', [
  'field_title' => 'Titel',
]);
$left_title->save();

$left_subtitle = Paragraph::create([
  'type' => 'subtitle',
  'field_title' => 'Subtitle',
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'parent_uuid' => $layout_twocol->uuid(),
      'region' => 'first',
    ],
  ]),
]);
$left_subtitle->addTranslation('nl', [
  'field_title' => 'Subtitel',
]);
$left_subtitle->save();

$right_title = Paragraph::create([
  'type' => 'title',
  'field_title' => 'Another title',
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'parent_uuid' => $layout_twocol->uuid(),
      'region' => 'second',
    ],
  ]),
]);
$right_title->addTranslation('nl', [
  'field_title' => 'Nog een titel',
]);
$right_title->save();

$layout_onecol = Paragraph::create([
  'type' => 'layout',
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'layout' => 'one_column',
      'config' => [
        'label' => '',
      ],
      'parent_uuid' => NULL,
      'region' => NULL,
    ],
  ]),
]);
$layout_onecol->save();

$textarea = Paragraph::create([
  'type' => 'textarea',
  'field_content' => [
    'value' => '<p>Textarea</p><p><strong>Bold text</strong></p><p><em>Italic</em></p><p><u>Underline</u></p><p><s>Strikethrough</s></p><p><sub>Subscript</sub></p><p><sup>Superscript</sup></p>',
    'format' => 'basic_html',
  ],
  'behavior_settings' => serialize([
    'layout_paragraphs' => [
      'parent_uuid' => $layout_onecol->uuid(),
      'region' => 'first',
    ],
  ]),
]);
$textarea->addTranslation('nl', [
  'field_content' => [
    'value' => '<p>Textarea</p><p><strong>Vetgedrukte tekst</strong></p><p><em>Cursief</em></p><p><u>Onderstreept</u></p><p><s>Doorstreept</s></p><p><sub>Subscript</sub></p><p><sup>Superscript</sup></p>',
    'format' => 'basic_html',
  ],
]);
$textarea->save();

$node->set('field_layout', [
  $layout_twocol,
  $left_title,
  $left_subtitle,
  $right_title,
  $layout_onecol,
  $textarea,
]);
$node->save();

$node->addTranslation('nl', [
  'title' => 'Homepagina',
  'status' => 1,
  'uid' => 1,
])->save();
